Create account to account batch transfer
Please note that this feature requires manual configuration. If you want to use it, please contact your CSM.
This operation will create a batch transfer with the given transfer items.
curl --request POST \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transfer/v1/a2a/batches' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Test batch transfer",
"transfers": [
{
"fromAccountId": "12345678",
"toAccountId": "98765432",
"amount": 123.45,
"currency": "EUR",
"text": "Payment for 987654321"
},
{
"fromAccountId": "56565656",
"toAccountId": "34343434",
"amount": 23.5,
"currency": "EUR"
}
]
}
'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transfer/v1/a2a/batches"
payload = {
"description": "Test batch transfer",
"transfers": [
{
"fromAccountId": "12345678",
"toAccountId": "98765432",
"amount": 123.45,
"currency": "EUR",
"text": "Payment for 987654321"
},
{
"fromAccountId": "56565656",
"toAccountId": "34343434",
"amount": 23.5,
"currency": "EUR"
}
]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Test batch transfer',
transfers: [
{
fromAccountId: '12345678',
toAccountId: '98765432',
amount: 123.45,
currency: 'EUR',
text: 'Payment for 987654321'
},
{
fromAccountId: '56565656',
toAccountId: '34343434',
amount: 23.5,
currency: 'EUR'
}
]
})
};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transfer/v1/a2a/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "11221122",
"status": "IN_PROGRESS",
"startTime": "2023-11-29T14:57:00",
"transferItemCount": 2,
"description": "Test batch transfer",
"totalAmount": {
"EUR": 100,
"NOK": 150
}
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
The audit user to log the request
Body
The fields that you want to apply to your batch transfer
Response
Successful creation of batch transfer
Enfuce generated id for batch transfer.
"11221122"
Batch transfer status. IN_PROGRESS - Successfully created but not yet complited batch transfer. COMPLETED - Successfully completed batch transfer. FAILED - Completely or partially failed batch transfer.
IN_PROGRESS, COMPLETED, FAILED, COMPLETED_WITH_ERRORS "IN_PROGRESS"
Batch transfer start time.
"2023-11-29T14:57:00"
Number of transfer items in the batch.
2
Free form description.
"Test batch transfer"
Map of total amount per currency.
Show child attributes
Show child attributes
{ "EUR": 100, "NOK": 150 }
Was this page helpful?

